## device3dfx 2001.07.28

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,28 @@
 ###############################################################################
-# Makefile by Carlo Wood
+# Makefile by Carlo Wood (and others)
 
 ifeq ($(OPT_CFLAGS),)
-# People without rpm.  Guess something reasonable (that they have an ix86).
-OPT_CFLAGS = -O2 -m486 -fomit-frame-pointer
+
+# Determine the machine type
+ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
+
+# Setup machine dependant compiler flags
+ifeq ($(ARCH), i386)
+OPT_CFLAGS = -O2 -m486 -fomit-frame-pointer \
+                 -fno-strength-reduce \
+                 -malign-loops=2 -malign-jumps=2 -malign-functions=2
 endif
 
-CFLAGS = $(OPT_CFLAGS) -DMODULE -D__KERNEL__ -I/usr/src/linux/include -pipe -fno-strength-reduce -malign-loops=2 -malign-jumps=2 -malign-functions=2
-CC=gcc
+ifeq ($(ARCH), alpha)
+OPT_CFLAGS = -O2 -mno-fp-regs -mcpu=ev4 \
+                 -ffixed-8 \
+                 -Wa,-mev6 \
+                 -fomit-frame-pointer -fno-strict-aliasing
+endif
+
+endif	# ifeq ($OPT_CFLAGS),)
+
+CFLAGS := -DMODULE -D__KERNEL__ -I/usr/src/linux/include $(OPT_CFLAGS)
 
 ###############################################################################
 # You should never need to change anything below.
@@ -44,28 +59,11 @@
 kinfo.h: kinfo
 	./kinfo
 
-ifneq ($(KERNEL_VERSION_MAJOR),2.0)
-
 ###############################################################################
 # kernel 2.1+
 
 3dfx.o: kinfo.h 3dfx_driver.c Makefile
 	$(CC) $(CFLAGS) -c -o $@ 3dfx_driver.c
-
-else
-
-###############################################################################
-# Kernel 2.0 
-
-OBJS = 3dfx_driver.o
-ifneq ($(HAVE_MTRR),)
-OBJS += mtrrs.o
-endif
-
-3dfx.o: kinfo.h $(OBJS) Makefile
-	$(LD) -r -o $@ $(OBJS)
-
-endif
 
 ###############################################################################
 
@@ -104,7 +102,9 @@
 	$(CC) $(CFLAGS) -S -c 3dfx_driver.c
 
 tar:
-	tar czf ../../SOURCES/Dev3Dfx-2.5.tar.gz 3dfx_driver.c mtrrs.c Makefile
+	tar czf ../../SOURCES/Dev3Dfx-2.5.tar.gz 3dfx_driver.c Makefile
+
 
 debug:
 	make OPT_CFLAGS="-g -Wall -Wstrict-prototypes -DDEBUG"
+
