=== debian/control ===
Source: device3dfx
Section: graphics
Priority: extra
Maintainer: Zephaniah E. Hull <warp@debian.org>
Standards-Version: 3.0.1

Package: device3dfx-source
Architecture: all
Depends: make, m4, debhelper
Recommends: kernel-package
Description: Device driver source for 3Dfx boards for 2.2+ kernels
 This package is the source for the 3Dfx device driver to allow access
 to 3Dfx boards without the user having root privileges.  It should
 work on 2.2/2.3/2.4/2.5 kernels and set the MTRR settings correctly.
 It should also work with SMP kernels (2.2/2.3/2.4/2.5).
