=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for device3dfx
# Copyright (C) 1999 Steve Haslam
# Distributable under the terms of the GNU GPL version 2 (or later).

# Adpated from /usr/doc/debhelper/examples/rules.indep

# This rules file is intended only to build the device3dfx-source
# package.

# We write the source version number into the modules proto-changelog
# file. Determine it automagically
OURVERSION := $(shell head -1 debian/changelog | sed -e 's/.*(\(.*\)).*/\1/')

M4 := m4

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

#	Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	dh_clean

target=debian/tmp/usr/src/modules/device3dfx

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

#	Add here commands to install the package into debian/tmp.
	install -c -m 644 Makefile Makefile.debian *.c $(target)
	cp -R debian/debian.module $(target)/debian
	$(M4) -DOURVERSION="$(OURVERSION)" debian/module-changelog.m4 > $(target)/debian/changelog.m4
	chown -R root.root $(target)
	chmod +x $(target)/debian/rules $(target)/debian/buildpkg
	tar -C debian/tmp/usr/src -c -v -z -f debian/tmp/usr/src/device3dfx.tar.gz modules/device3dfx
	rm -r debian/tmp/usr/src/modules

	touch install-stamp

testmodule: build install
	tar -C .. -x -v -z -f debian/tmp/usr/src/device3dfx.tar.gz

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
