## device3dfx 2011.07.03

=== Makefile ===
--- 
+++ 
@@ -26,10 +26,14 @@
               -I$(KHEADERS) -I$(KHEADERS)/asm/mach-default \
               $(CFLAGS)
 
+ifneq ($(wildcard $(KHEADERS)/generated/utsrelease.h),)
+VERSION_HEADER := $(KHEADERS)/generated/utsrelease.h
+else
 ifneq ($(wildcard $(KHEADERS)/linux/utsrelease.h),)
 VERSION_HEADER := $(KHEADERS)/linux/utsrelease.h
 else
 VERSION_HEADER := $(KHEADERS)/linux/version.h
+endif
 endif
 
 ###############################################################################
@@ -50,29 +54,30 @@
 	@( \
 	if [ ! -r $(KHEADERS)/linux ]; then \
 		echo "Expect readable headers in $(KHEADERS)/linux"; \
-		exit -1; \
+		exit 1; \
 	fi; \
 	if [ ! -r $(KHEADERS)/linux/version.h ]; then \
 		echo "Missing $(KHEADERS)/linux/version.h"; \
 		echo "Configure and install the kernel first"; \
-		exit -1; \
+		exit 1; \
 	fi; \
 	if [ ! -e /proc/cpuinfo ]; then \
 		echo "You need the /proc file system"; \
 		echo "Reconfigure kernel and say Yes to CONFIG_PROC_FS"; \
-		exit -1; \
+		exit 1; \
 	fi; \
 	)
 
 KVER_MAJOR = $(shell echo "$(KVERS)" | cut -d. -f1 )
 KVER_MINOR = $(shell echo "$(KVERS)" | cut -d. -f2 )
 
-KBUILD = $(shell [ "$(KVER_MAJOR)" = 2 ] && [ "$(KVER_MINOR)" -ge 6 ] && echo yes )
+KBUILD = $(shell [ "$(KVER_MAJOR)" = 2 ] && [ "$(KVER_MINOR)" -ge 6 ] || \
+                 [ "$(KVER_MAJOR)" -ge 3 ] && echo yes )
 
 help:
-	echo KVER_MAJOR = $(KVER_MAJOR)
-	echo KVER_MINOR = $(KVER_MINOR)
-	echo KBUILD = $(KBUILD)
+	@echo KVER_MAJOR = $(KVER_MAJOR)
+	@echo KVER_MINOR = $(KVER_MINOR)
+	@echo KBUILD = $(KBUILD)
 
 ifeq ($(KBUILD),yes)
 BUILD_TYPE = kbuild
