=== debian/changelog ===
device3dfx (2011.07.03-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures with new 3.x Linux kernel versioning scheme.
  * Switch Section from graphics to kernel.
  * Add build-indep and build-arch targets.
  * Change targets to depend only on install instead of build and install.

 -- Guillem Jover <guillem@debian.org>  Sun, 03 Jul 2011 15:36:01 +0200

device3dfx (2011.05.27-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures with Linux kernels up to 2.6.39.
  * Switch to debhelper compat version 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Cleanup and fix misspellings in debian/changelog.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Rename obsolete debian/module/modules file to debian/module/modprobe.
  * Use the source control stanza for the module control file, instead of
    duplicating it and having to keep them in sync.
  * Switch module generation logic to module-assistant.
    - Move binary-modules target from debian/module/rules to debian/rules.
    - Now that we use debian/rules for the module, use also debian/compat.
    - Replace debian/module/build_config with m-a make includes.
    - Add module-assistant to device3dfx-source Depends.
  * Add a version (>= 7) to device3dfx-source debhelper Depends.
  * Add ${misc:Depends} to device3dfx-source Depends field.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Fri, 27 May 2011 08:23:54 +0200

device3dfx (2008.06.24-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures with Linux kernels up to 2.6.23.
  * Now using Standards-Version 3.7.2 (no changes needed), in the module.
  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
    - Remove now unused debian/patch.mk.
  * Add a Homepage field.
  * Add Vcs-Brwoser and Vcs-Git fields.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Remove packaging svn information from debian/copyright.
  * Improve debian/copyright:
    - Rename 'Upstream Authors' to 'Copyright Holders'.
    - Add copyright years and symbol.
    - Refer to GPL-2 from common-licenses instead of just GPL.
    - Update copyright holder years.
  * Remove Tag field, it's better maintained outside the package.
  * Use UTF-8 copyright symbol in debian/rules files.
  * Improve package description by:
    - Explicitly mentioning Linux.
    - Collapsing all the supported Linux kernel versions into '2.2+'.
    - Replace reference to 'source' with 'module' in the module package.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Jun 2008 07:49:37 +0300

device3dfx (2007.02.06-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures with Linux kernels up to 2.6.20. (Closes: #409885)
  * Add a Tag: field to the binary package, using the data from debtags.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Move debhelper from Build-Depends-Indep to Build-Depends as it's being
    used on clean.

 -- Guillem Jover <guillem@debian.org>  Tue,  6 Feb 2007 07:57:26 +0200

device3dfx (2004.08.21-2) unstable; urgency=low

  * Fix spelling error in package description. (Closes: #363233)
    Thanks to Simon Waters <simon@technocool.net>.
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Fix Subversion repository URL.
  * Upgrade to debhelper compat version 5.
  * Rename debian/patch.mk clean target to unpatch. Make patch and unpatch
    single colon rules. Make unpatch PHONY.
  * Do not use stamp files.
  * Remove unused commented commands.
  * Reformat copyright file, add GPL snippet license, add upstream authors.

 -- Guillem Jover <guillem@debian.org>  Wed, 19 Apr 2006 03:11:54 +0300

device3dfx (2004.08.21-1) unstable; urgency=low

  * New upstream release.
    - Really fix Linux kernel 2.6 support. (Closes: #238131, #238132, #255202)
    - Remove 00_honour_KSRC.patch already applied upstream.
  * Added the location of the Subversion repo used for the packages.
  * Update debian/patch.mk, provide a patch target.
  * Fix Linux kernel version detection.
  * Disable not used debhelper scripts.
    - s/dh_installmanpages/dh_installman/.

 -- Guillem Jover <guillem@debian.org>  Sat, 21 Aug 2004 08:21:37 +0200

device3dfx (2004.01.25-1) unstable; urgency=low

  * New upstream Release.
    - Ported to Linux kernel 2.6. (Closes: #220271)
  * Split diff patches:
    - 00_honour_KSRC.patch
  * Use debian/patch.mk.
  * Updated package description to mention Linux 2.6 kernel support and
    lower cased first letter from short description.
  * debian/module/rules: Corrected a typo on a PHONY sentence.
  * debian/module/README.Debian: Added a note about devfs.

 -- Guillem Jover <guillem@debian.org>  Sun, 25 Jan 2004 10:03:11 +0100

device3dfx (2003.11.03-1) unstable; urgency=low

  * New upstream release.
  * Renamed README.debian to README.Debian.
  * Changed device group to video.
    - Updated debian/module/postinst.
    - Updated debian/module/README.Debian accordingly.
  * Fixed chmod to use ':' instead.
  * Now using Standards-Version 3.5.10.

 -- Guillem Jover <guillem@debian.org>  Mon,  3 Nov 2003 09:36:52 +0100

device3dfx (2003.05.16-2) unstable; urgency=low

  * Use Build-Depends-Indep instead of Build-Depends.
  * Add Build-Depends to the -source package.
  * Versioned the build dependencies to debhelper.
  * debian/copyright:
    - Fixed a path typo to the GPL license.
    - Added maintainer history.
    - Cleaned a bit the file.

 -- Guillem Jover <guillem@debian.org>  Mon, 26 May 2003 14:19:42 +0200

device3dfx (2003.05.16-1) unstable; urgency=low

  * New maintainer (Closes: #189952).
  * Removed emacs cruft from changelog.

