=== debian/control ===
Source: device3dfx
Section: kernel
Priority: extra
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://glide.sf.net/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/device3dfx.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/device3dfx.git
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2

Package: device3dfx-source
Architecture: all
Depends: module-assistant, make, debhelper (>= 7), ${misc:Depends}
Recommends: kernel-package
Description: Linux 2.2+ device driver source for 3Dfx boards
 This package is the source for the 3Dfx device driver to allow access
 to 3Dfx boards and setting its MTRR:s correctly without the user having
 root privileges.
 .
 It should work on Linux 2.2+ kernels, including SMP enabled kernels.
