## device3dfx 2013.08.08

=== Makefile ===
--- 
+++ 
@@ -52,12 +52,12 @@
 # Sanity checks
 sanity:
 	@( \
-	if [ ! -r $(KHEADERS)/linux ]; then \
-		echo "Expect readable headers in $(KHEADERS)/linux"; \
+	if [ ! -r $(KHEADERS) ]; then \
+		echo "Expect readable headers in $(KHEADERS)"; \
 		exit 1; \
 	fi; \
-	if [ ! -r $(KHEADERS)/linux/version.h ]; then \
-		echo "Missing $(KHEADERS)/linux/version.h"; \
+	if [ ! -r $(VERSION_HEADER) ]; then \
+		echo "Missing $(VERSION_HEADER)"; \
 		echo "Configure and install the kernel first"; \
 		exit 1; \
 	fi; \
