=== debian/changelog ===
device3dfx (2013.08.08-5) unstable; urgency=medium

  * Now using Standards-Version 4.1.1 (no changes needed).
  * Line-wrap and sort debian/control fields.
  * Switch to debhelper compat version 10.
  * Switch to debian/watch format version 4.
  * Set owner and group to root:root in generated driver source tarball.
  * Set Rules-Requires-Root to no.
  * Update copyright years.
  * Switch from Priority extra to optional.
  * Include dpkg Makefile fragment instead of using dpkg-parsechangelog
    directly.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 05:39:56 +0100

device3dfx (2013.08.08-4) unstable; urgency=medium

  * Use https for hadrons.org URLs.
  * Sort generated kernel module source tarball contents to make the build
    reproducible.
  * Switch URLs for git repository from git:// to https://.
  * Now using Standards-Version 3.9.7 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 29 Feb 2016 00:19:35 +0100

device3dfx (2013.08.08-3) unstable; urgency=low

  * Use install instead of cp to generate the module source tarball, so
    that it is impervious to umask variance.

 -- Guillem Jover <guillem@debian.org>  Tue, 16 Jun 2015 03:32:34 +0200

device3dfx (2013.08.08-2) unstable; urgency=low

  * Remove packaging history from debian/copyright.
  * Remove license clarification from debian/copyright, upstream sources
    have included a proper license notice for a long time now.
  * Switch debian/copyright to machine-readable format 1.0.
  * Switch Vcs-Browser to a cgit URL.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Remove debian/source/options, xz compression is the default now.
  * Use the debian/changelog date for the generated source module tarball
    mtime. Based on a patch by Chris Lamb <lamby@debian.org>. Closes: #778213
  * Add a debian/watch file.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 May 2015 00:48:58 +0200

device3dfx (2013.08.08-1) unstable; urgency=low

  * New upstream release.
    - Do not hardcode path for version.h. Closes: #719133
  * Switch source code tarball inside device3dfx-source to tar.xz.
  * Switch source package to xz.
  * Now using Standards-Version 3.9.4 (no changes needed).
  * Switch to debhelper compat version 9.

 -- Guillem Jover <guillem@debian.org>  Thu, 08 Aug 2013 21:36:42 +0200
