=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,14 @@
 # debian/rules for device3dfx to build device3dfx-source
 #
 # Copyright © 1999 Steve Haslam
-# Copyright © 2003, 2004, 2006, 2007, 2008, 2011 Guillem Jover
+# Copyright © 2003, 2004, 2006-2008, 2011, 2013, 2015 Guillem Jover
 #
 # Distributable under the terms of the GNU GPL version 2 (or later).
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/default.mk
 
 pname = device3dfx
 psource = $(pname)-source
@@ -24,28 +26,39 @@
 
 target = debian/$(psource)/usr/src/modules/$(pname)
 
+INSTALL = install
+INSTALL_DIR = $(INSTALL) -d -m755
+INSTALL_DATA = $(INSTALL) -m644
+INSTALL_SCRIPT = $(INSTALL) -m755
+
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
 	
-	install -c -m 644 Makefile *.c $(target)
-	cp -R kbuild $(target)
-	cp -R debian/module $(target)/debian
+	$(INSTALL_DIR) $(target)
+	$(INSTALL_DATA) Makefile *.c $(target)
+	$(INSTALL_DIR) $(target)/kbuild
+	$(INSTALL_DATA) kbuild/* $(target)/kbuild/
+	$(INSTALL_DIR) $(target)/debian/source
+	$(INSTALL_DATA) debian/source/* $(target)/debian/source/
+	$(INSTALL_DATA) debian/module/* $(target)/debian/
 	sed -n '0,/^$$/p' debian/control > $(target)/debian/control.modules.in
 	cat debian/control.templ >> $(target)/debian/control.modules.in
-	cp $(target)/debian/control.modules.in $(target)/debian/control
-	cp debian/rules debian/compat $(target)/debian
-	cp debian/copyright debian/changelog $(target)/debian
-	cp -R debian/source $(target)/debian
-	chown -R root.root $(target)
-	chmod +x $(target)/debian/rules
-	tar -C debian/$(psource)/usr/src -cvzf debian/$(psource)/usr/src/$(pname).tar.gz modules/$(pname)
+	chmod 644 $(target)/debian/control.modules.in
+	$(INSTALL_DATA) $(target)/debian/control.modules.in \
+	                $(target)/debian/control
+	$(INSTALL_DATA) debian/compat debian/copyright debian/changelog $(target)/debian/
+	$(INSTALL_SCRIPT) debian/rules $(target)/debian
+	tar -C debian/$(psource)/usr/src \
+	  --owner=root:0 --group=root:0 \
+	  --sort=name --mtime="@$(SOURCE_DATE_EPOCH)" \
+	  -cvJf debian/$(psource)/usr/src/$(pname).tar.xz modules/$(pname)
 	rm -r debian/$(psource)/usr/src/modules
 
 testmodule: install
-	tar -C .. -xvzf debian/$(psource)/usr/src/$(pname).tar.gz
+	tar -C .. -xvJf debian/$(psource)/usr/src/$(pname).tar.xz
 
 binary-indep: install
 	dh_testdir
