=== debian/watch ===
# Site			Directory	Pattern			Version	Script
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://archive.hadrons.org/software/glide/	device3dfx-([\d\.-]*)\.tar\.[gx]z	debian	uupdate
